Subject: Re: Working on Git on MS Windows

From: Jakub Narebski <[email-masked]>
Date: Mon, 3 Aug 2009 18:28:41 +0200

On Mon, 3 Aug 2009, Thiago Farina wrote:
> On Mon, Aug 3, 2009 at 1:02 PM, Jakub Narebski<[email-masked]> wrote:
>> Thiago Farina <[email-masked]> writes:
>>>
>>> I'm new to git, I already downloaded the msysgit. I'm working with git
>>> a couples weeks now. But I want to start debugging the git source code
>>> in Windows. How can I do that? Can I do that using Visual Studio, or
>>> there are other methods to debug git?
>>
>> Git uses GNU make as a build tool, so I am not sure if you can develop
>> Git with MS Visual Studio.  You should have GNU make installed if you
>> have chosen appropriate version of msysGit (the one with developer
>> tools).
>
> I can build the git with make which was installed by msysGit. But I
> want to debug, not only build.

I don't know if you can debug msysGit with MS Visual Studio. I think
you should be able to, as msysGit is native Windows application. But
I do not program on MS Windows myself.

Perhaps this question should be better asked on msysGit Google Group?
http://groups.google.com/group/msysgit

-- 
Jakub Narebski

Git User's Survey 2009:
http://tinyurl.com/GitSurvey2009